nvme_mi_admin_identify_active_ns_list(2)

NAME
nvme_mi_admin_identify_active_ns_list - Perform an Admin identify for an active namespace list

SYNOPSIS
int nvme_mi_admin_identify_active_ns_list (nvme_mi_ctrl_t ctrl , __u32 nsid , struct nvme_ns_list *list );

ARGUMENTS

ctrl
    Controller to process identify command

nsid
    Namespace ID to specify list start

list
    List data to populate

DESCRIPTION
Perform an Identify command, for the active namespace list starting with IDs greater than or equal to nsid. Specify NVME_NSID_NONE for the start of the list.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE, so list will be be fully populated on success.

See: struct nvme_ns_list

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.